Note
Access to this page requires authorization. You can try signing in or changing directories.
Access to this page requires authorization. You can try changing directories.
Operations provided by the Batch Management REST API may have multiple versions for backwards compatibility as the API evolves over time. You must specify which version of an operation you wish to use when it is called by providing the version with your REST call. If your application calls an older version of an operation, you can choose to continue calling the older version, or modify your code to call a newer version. If the version is not specified or an incorrect version is specified, then an error is returned.
To specify which version of an operation to use, set the api-version query parameter. The version is of the format YYYY-MM-DD.
Latest version: 2025-06-01
Job level FIFO
- Added
JobDefaultOrdertype. - Extended
TaskSchedulingPolicywith a newjobDefaultOrderproperty to support job-level FIFO scheduling.
- Added
CMK support on Pools
- Added
DiskCustomerManagedKeyfor customer-managed key (CMK) support on pools. - Extended
DiskEncryptionConfigurationwith a newcustomerManagedKeyproperty. - Extended
ManagedDiskwith a newdiskEncryptionSetproperty. - Added
DiskEncryptionSetParametersfor referencing disk encryption sets.
- Added
IPv6 support on Pools
- Added
IPFamilytype. - Extended
PublicIPAddressConfigurationwith newipFamiliesandipTagsproperties.
- Added
Metadata Security Protocol Support on Pools
- Added
HostEndpointSettingsandHostEndpointSettingsModeTypes. - Added
ProxyAgentSettings. - Extended
SecurityProfilewith a newproxyAgentSettingsproperty for metadata security protocol support.
- Added
IP Tag Support
- Added
IPTagtype. - Extended
PublicIPAddressConfigurationwith newipTagsproperty for IP tag support.
- Added
[Breaking] Removed Support for Certificates:
- Removed Certificate APIs:
Certificate_ListByBatchAccount,Certificate_Get,Certificate_Create,Certificate_Update,Certificate_Delete, andCertificate_CancelDeletion. - Removed Certificate Models:
Certificate,CertificateCreateOrUpdateParameters,CertificateBaseProperties,CertificateCreateOrUpdateProperties,CertificateProperties,CertificateFormat,CertificateProvisioningState,CertificateReference,CertificateStoreLocation,CertificateVisibility, andDeleteCertificateError. - Removed
certificatesproperty from Pool.
- Removed Certificate APIs:
[Breaking] Removed
NodeCommunicationModemodel and propertiestargetNodeCommunicationModeandcurrentNodeCommunicationModefrom Pool.[Breaking] Removed
applicationLicensesproperty from Pool.[Breaking] Removed
storageAccountTypefromDataDisk. UseManagedDisk.storageAccountTypeinstead.[Breaking] Removed
resourceTagsfrom Pool.
Previous Versions
Previous versions include:
- 2024-07-01
- 2024-02-01
- 2023-11-01
- 2023-05-01
- 2022-10-01
- 2022-06-01
- 2022-01-01
- 2021-06-01
- 2021-01-01
- 2020-09-01
- 2020-05-01
- 2020-03-01
- 2019-08-01
- 2019-04-01
- 2018-12-01
- 2017-09-01
- 2017-05-01
- 2017-01-01
- 2015-12-01
Version: 2024-07-01
Added Network Security Perimeter (NSP) support:
- Added
NetworkSecurityPerimeter_ListConfigurationsoperation to list all NSP configurations in a Batch account. - Added
NetworkSecurityPerimeter_GetConfigurationoperation to get a specific NSP configuration. - Added
NetworkSecurityPerimeter_ReconcileConfigurationoperation to reconcile an NSP configuration. - Added
SecuredByPerimetervalue toPublicNetworkAccessTypeenum.
- Added
Added Confidential VM support:
- Added
VMDiskSecurityProfilemodel with asecurityEncryptionTypeproperty. - Added
securityProfileproperty toManagedDisk. - Added
confidentialVMas a new value forSecurityTypesenum.
- Added
Added Shared Gallery and Community Gallery image reference support:
- Added
sharedGalleryImageIdandcommunityGalleryImageIdproperties toImageReference.
- Added
Added container bind mount support for tasks:
- Added
ContainerHostBatchBindMountEntrymodel withsourceandisReadOnlyproperties. - Added
ContainerHostDataPathenum with valuesShared,Startup,VfsMounts,Task,JobPrep, andApplications. - Added
containerHostBatchBindMountsproperty toTaskContainerSettings.
- Added
[Breaking] Removed Cloud Service Configuration pool support:
- Removed
CloudServiceConfigurationmodel. - Removed
cloudServiceConfigurationproperty fromDeploymentConfiguration. - Removed
Location_ListSupportedCloudServiceSkusoperation.
- Removed
Version: 2024-02-01
Added OS upgrade policy support for VM pools:
- Added
UpgradePolicymodel with propertiesmode,automaticOSUpgradePolicy, androllingUpgradePolicy. - Added
AutomaticOSUpgradePolicymodel with propertiesdisableAutomaticRollback,enableAutomaticOSUpgrade,useRollingUpgradePolicy, andosRollingUpgradeDeferral. - Added
RollingUpgradePolicymodel with propertiesenableCrossZoneUpgrade,maxBatchInstancePercent,maxUnhealthyInstancePercent,maxUnhealthyUpgradedInstancePercent,pauseTimeBetweenBatches,prioritizeUnhealthyInstances, androllbackFailedInstancesOnPolicyBreach. - Added
upgradePolicyproperty to Pool. - Added
UpgradeModeenum with valuesautomatic,manual, androlling.
- Added
Added
batchSupportEndOfLifeproperty toSupportedSku.
Version: 2023-11-01
Added Trusted Launch / security profile support for VM pools:
- Added
SecurityProfilemodel with propertiesencryptionAtHost,securityType, anduefiSettings. - Added
UefiSettingsmodel with propertiessecureBootEnabledandvTpmEnabled. - Added
SecurityTypesenum with valuestrustedLaunch. - Added
securityProfileproperty toVirtualMachineConfiguration.
- Added
Added service artifact reference support for scale sets:
- Added
ServiceArtifactReferencemodel with a requiredidproperty. - Added
serviceArtifactReferenceproperty toVirtualMachineConfiguration.
- Added
Enhanced OS disk configuration:
- Added
ManagedDiskmodel with astorageAccountTypeproperty. - Added
caching,diskSizeGB,managedDisk, andwriteAcceleratorEnabledproperties toOSDisk.
- Added
Added
StandardSSD_LRSas a new value forStorageAccountType.Added
resourceTagsproperty to Pool to allow user-defined tags to be propagated to backing Azure resources. Only applicable whenpoolAllocationModeisUserSubscription.
Version: 2023-05-01
Added boolean property
enableAcceleratedNetworkingtoNetworkConfiguration.- This property determines whether this pool should enable accelerated networking, with default value as false.
- Whether this feature can be enabled is also related to whether an operating system/VM instance is supported, which should align with AcceleratedNetworking Policy.
Added boolean property
enableAutomaticUpgradetoVMExtension.- This property determines whether the extension should be automatically upgraded if there is a newer version of the extension available.
The property
typeofContainerConfigurationnow supports two values:DockerCompatibleandCriCompatible.
Version: 2022-10-01
- Added
NodeCommunicationModeenum with valuesDefault,Classic, andSimplifiedto determine how a pool communicates with the Batch service. - Added
currentNodeCommunicationModeproperty to Pool to refer to the current state of the pool communication mode. - Added
targetNodeCommunicationModeproperty to Pool to refer to the desired node communication mode for the pool.
Version: 2022-06-01
- Added
PrivateEndpointConnection_Deleteoperation to delete a private endpoint connection. - Added
allowedAuthenticationModesproperty toBatchAccountCreatePropertiesandBatchAccountUpdatePropertiesto control authentication modes. - Added
TaskAuthenticationTokenas a new value forAuthenticationModeenum.
Version: 2022-01-01
- Added
Location_ListSupportedVirtualMachineSkusoperation to list supported VM SKUs at a given location. - Added
SupportedSkumodel with propertiesname,familyName, andcapabilities. - Added
SupportedSkusResultmodel. - Added
SkuCapabilitymodel.
Version: 2021-06-01
- Added ability to assign user-assigned managed identities to
BatchPoolIdentity. - Added
identityReferenceproperty toAzureBlobFileSystemConfiguration,ContainerRegistry, andResourceFileto support accessing resources via managed identity. - Added VM Extension support:
- Added
extensionsproperty toVirtualMachineConfiguration. - Added
VMExtensionmodel.
- Added
- Added the ability to specify availability zones using a new property
nodePlacementConfigurationonVirtualMachineConfiguration.- Added
NodePlacementConfigurationmodel with apolicyproperty. - Added
NodePlacementPolicyTypeenum with valuesRegionalandZonal.
- Added
- Added
osDiskproperty toVirtualMachineConfigurationwith ephemeral OS disk support viaDiffDiskSettings.
Version: 2021-01-01
- Added ability to encrypt customer data with customer-managed keys:
- Added
EncryptionPropertiesmodel withkeySourceandkeyVaultProperties. - Added
KeySourceenum. - Added
KeyVaultPropertiesmodel. - Added
encryptionproperty toBatchAccountCreatePropertiesandBatchAccountProperties.
- Added
- Added
BatchAccountIdentitymodel supportingSystemAssigned,UserAssigned, andNoneidentity types. - Added
identityproperty toBatchAccountCreateParametersandBatchAccountUpdateParameters. - Added
allowedAuthenticationModesproperty toBatchAccountProperties. - Added
ListOutboundNetworkDependenciesEndpointsoperation to list endpoints a Batch compute node may call.
Version: 2020-09-01
- Added
taskSlotsPerNodeproperty to Pool, replacing the fixed task-per-node behavior. - Added
BatchAccountProperties.publicNetworkAccessto control public network access. - Added
NetworkProfilemodel for controlling network access rules per endpoint.
Version: 2020-05-01
Added Private Link support:
- Added
PrivateEndpointConnection_ListByBatchAccountoperation. - Added
PrivateEndpointConnection_Getoperation. - Added
PrivateEndpointConnection_Updateoperation. - Added
PrivateLinkResource_ListByBatchAccountoperation. - Added
PrivateLinkResource_Getoperation. - Added
PrivateEndpointConnection,PrivateEndpoint,PrivateLinkResource, andPrivateLinkServiceConnectionStatemodels.
- Added
Added
publicNetworkAccessproperty toBatchAccountCreateProperties.
Version: 2020-03-01
- Added ability to encrypt compute node disk drives using the
DiskEncryptionConfigurationproperty ofVirtualMachineConfiguration. - Added
PublicIPAddressConfigurationmodel toNetworkConfigurationto support pools without public IPs.- Added
IPAddressProvisioningTypeenum with valuesBatchManaged,UserManaged, andNoPublicIPAddresses. - Added
ipAddressIdsproperty toPublicIPAddressConfiguration.
- Added
Version: 2019-08-01
- Added ability to specify a collection of public IPs on
NetworkConfigurationvia thepublicIPsproperty. - Added ability to mount remote file-systems on each node of a pool via
MountConfiguration:- Added
AzureBlobFileSystemConfiguration,NFSMountConfiguration,CIFSMountConfiguration, andAzureFileShareConfigurationmodels. - Added
mountConfigurationproperty to Pool.
- Added
Version: 2019-04-01
- Added
Location_CheckNameAvailabilityoperation to check if a Batch account name is available. - Added
CheckNameAvailabilityParametersandCheckNameAvailabilityResultmodels. - Added
DetectorResponsesupport:- Added
BatchAccount_ListDetectorsoperation. - Added
BatchAccount_GetDetectoroperation.
- Added
Version: 2018-12-01
- Added
containerConfigurationproperty toVirtualMachineConfigurationfor container-enabled pools.- Added
ContainerConfigurationmodel. - Added
ContainerRegistrymodel. - Added
TaskContainerSettingsmodel.
- Added
- Added
startTaskproperty to Pool with fullStartTaskmodel support. - Added
dataDisksproperty toVirtualMachineConfigurationfor attaching data disks. - Added
licenseTypeproperty toVirtualMachineConfigurationfor Azure Hybrid Use Benefit. - Added
AutoStorageAuthenticationModeenum with valuesStorageKeysandBatchAccountManagedIdentity. - Added
nodeIdentityReferenceproperty toAutoStorageBaseProperties. - Added
NetworkConfigurationmodel withsubnetId,endpointConfiguration, anddynamicVnetAssignmentScopeproperties. - Added
PoolEndpointConfigurationandInboundNatPoolmodels for specifying inbound endpoints.
Version: 2017-09-01
- Added Pool management support via ARM:
- Added
Pool_ListByBatchAccount,Pool_Get,Pool_Create,Pool_Update,Pool_Deleteoperations. - Added
Pool_DisableAutoScaleandPool_StopResizeoperations. - Added
Poolresource model with comprehensive pool properties.
- Added
- Added Certificate management via ARM:
- Added
Certificate_ListByBatchAccount,Certificate_Get,Certificate_Create,Certificate_Update,Certificate_Delete,Certificate_CancelDeletionoperations.
- Added
- Added Application and ApplicationPackage management:
- Added
Application_List,Application_Get,Application_Create,Application_Update,Application_Deleteoperations. - Added
ApplicationPackage_List,ApplicationPackage_Get,ApplicationPackage_Create,ApplicationPackage_Delete,ApplicationPackage_Activateoperations.
- Added
- Added
VirtualMachineConfigurationmodel for IaaS VM-based pool configuration. - Added
ScaleSettingsmodel withFixedScaleSettingsandAutoScaleSettingsfor controlling pool size.
Version: 2017-05-01
- Added
KeyVaultReferencemodel for Azure Key Vault integration with Batch accounts. - Added
poolAllocationModeproperty toBatchAccountCreatePropertieswithBatchServiceandUserSubscriptionmodes. - Added
dedicatedCoreQuotaPerVMFamilyanddedicatedCoreQuotaPerVMFamilyEnforcedproperties toBatchAccountProperties. - Added
lowPriorityCoreQuotaproperty toBatchAccountProperties.
Version: 2017-01-01
- Added support for user-assigned storage accounts via auto-storage configuration.
- Added
storageAccountIdproperty toAutoStorageBaseProperties. - Added
AutoStoragePropertiesmodel withlastKeySyncproperty. - Added
BatchAccount_SynchronizeAutoStorageKeysoperation.
Version: 2015-12-01
This is the initial version of the Batch Management REST API. It provides the following core capabilities:
- Batch Account Management:
BatchAccount_Create- Creates a new Batch account with specified parameters.BatchAccount_Update- Updates the properties of an existing Batch account.BatchAccount_Delete- Deletes the specified Batch account.BatchAccount_Get- Gets information about the specified Batch account.BatchAccount_List- Lists all Batch accounts under a subscription.BatchAccount_ListByResourceGroup- Lists all Batch accounts under a resource group.BatchAccount_GetKeys- Gets the account keys for the specified Batch account.BatchAccount_RegenerateKey- Regenerates the specified account key for the Batch account.
- Location Operations:
Location_GetQuotas- Gets the Batch service quotas for the specified subscription at the given location.
- Operations:
Operations_List- Lists available operations for the Batch provider.